ITPub博客

首页 > Linux操作系统 > Linux操作系统 > modSecurity 安装

modSecurity 安装

原创 Linux操作系统 作者:MagicProgram 时间:2012-07-18 13:23:32 0 删除 编辑
今天介绍一款开源项目modSecurity的安装过程。

主要介绍源码安装。

1. 使用svn将modSecurity源码下载下来。

2. 阅读文档,解决依赖关系:apache portable runtime,apr-util,mod_unique_id,libcurl,libxml2,lua 5.1,pcre。如果在red hat操作系统下,可使用如下命令:
yum install httpd
yum install httpd-devel
yum install libxml2-devel
yum install lua-devel
yum install curl-devel
yum install pcre-devel
(在此过程中,出现“GPG key retrieval failed: [Errno 14] HTTP Error 404: Not Found”的错误,可在yum命令行中添加--nogpgcheck选项以解决此问题)

3. 执行./autogen.sh。
在此过程中报错,诸如
Remember to add 'AC_PROG_LIBTOOL' to 'configure.ac'.
You should add the contents of '/usr/share/aclocal/libtool.m4' to 'aclocal.m4'.
Putting files in AC_CONFIG_AUX_DIR, 'build'
在configure.ac文件中发现LT_PREREQ([2.2]),检查自己的libtool版本太旧,升级后恢复正常。

4. 执行./configure。
在此过程中报错,大概提示xmlURI中没有query_raw这个成员,推测应该是libxml版本太旧,升级最新版本即正常。

5. 执行make。

6. 执行make install。

安装成功,生成bin文件夹、lib文件夹。

今天先到这里,大家有什么安装上的问题,可以留言给我。

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/25432352/viewspace-735953/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论

注册时间:2011-02-24

  • 博文量
    29
  • 访问量
    121597